Foreman - Bug #2513

orgs newly created in katello do not appear in "Any Context" filtering
05/20/2013 11:16 AM - Toma$ Strachota

Status: Closed

Priority: Normal

Assignee: Tomas Strachota

Category: Plugin integration

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem:

When user creates a new org and its environments, if desired, said Org appears in the Hosts > New Hosts Ul. However, if user
browses the "Any context" dropdown, new orgs do not appear.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Login to katello+foreman product and create a new org, "Fibble"

2. Navigate to /foreman

3. Hosts > New Host

4. Click the "Organization" dropdown and note the presence of your newly created org
5. From the main Foreman Ul navbar, choose go to Any Context > Any Organization
6. View results

Actual results:
Only ACME_Corporation appears

Expected results:
Results for all existing and newly created orgs.

Additional info:
see https://bugzilla.redhat.com/show_bug.cqi?id=961590

Associated revisions

Revision f4430a08 - 05/22/2013 09:56 AM - Tomas Strachota

Fixes #2513 - orgs created in katello do not appear in org filtering

- topbar cache sweeper turned on for api controllers
- a bit of refactoring to get rid of repetitive expire_fragment

Revision 299e8285 - 05/23/2013 03:54 AM - Tomas Strachota
Fixes #2513 - orgs created in katello do not appear in org filtering
- topbar cache sweeper turned on for api controllers

- a bit of refactoring to get rid of repetitive expire_fragment
(cherry picked from commit f4430a08911002d0c36ee3c83a4ee0b3e5f4b824)

History

#1 - 05/22/2013 10:42 AM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=961590

Applied in changeset {4430a08911002d0c36ee3c83a4ee0b3e5{4b824.

#2 - 05/22/2013 10:42 AM - Ohad Levy

- Target version set to 1.2.0

#3 - 03/16/2020 03:11 PM - Tomer Brisker
- Category changed from 47 to Plugin integration
